Name:		fermilab-conf_doe-banner-login-screen
Obsoletes:	zz_gdm_doe_banner
Conflicts:	gdm < 3.0

Version:	1.0
Release:	3
Summary:	Displays the FNAL approved text for DOE notice within GUI login

Group:		Fermilab
License:	GPL
URL:		http://helpdesk.fnal.gov
Source0:	doe-banner-login_screen.gschema.override

BuildRequires:	coreutils
BuildArch:	noarch
Requires:	coreutils
OrderWithRequires: GConf2

%description
The DOE requests that we publish a login banner on all systems so that
people understand their rights and restrictions on the systems.

Requirement from: CS-doc-5536-v1

%prep


%build


%install
%{__rm} -rf %{buildroot}
%{__install} -Dpm 0644 %{SOURCE0} %{buildroot}/%{_datadir}/glib-2.0/schemas/doe-banner-login_screen.gschema.override

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(0644,root,root,0755)
%{_datadir}/glib-2.0/schemas/doe-banner-login_screen.gschema.override

%postun -p /bin/bash
if [[ $1 == 0 ]]; then
  # glib-compile-schemas provided by GConf2
  #   ...it may have been removed already
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null
fi
exit 0

%triggerin -p /bin/bash -- gdm
# glib-compile-schemas provided by GConf2
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null
exit 0

%triggerpostun -p /bin/bash -- gdm
# glib-compile-schemas provided by GConf2
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null
exit 0

%triggerpreun -p /bin/bash -- GConf2
if [[ $2 == 0 ]]; then
  # glib-compile-schemas provided by GConf2, run one last time
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null
fi
exit 0

%changelog
* Mon Apr 10 2017 Pat Riehecky <riehecky@fnal.gov> - 1.0-3
- Better cleanup on uninstall

* Mon Oct 26 2015 Pat Riehecky <riehecky@fnal.gov> - 1.0-2.3
- Reformat for larger screens

* Mon Oct 12 2015 Pat Riehecky <riehecky@fnal.gov> - 1.0-2.2
- Reformat for smaller screens

* Thu Oct 08 2015 Pat Riehecky <riehecky@fnal.gov> - 1.0-2.1
- use OrderWithRequires to speed up install

* Tue Oct 06 2015 Pat Riehecky <riehecky@fnal.gov> - 1.0-2
- Use gconf overrides
-- https://wiki.gnome.org/action/show/Projects/dconf/SystemAdministrators

* Fri Aug 7 2015 Pat Riehecky <riehecky@fnal.gov> 1.0-1
- Initial build for EL7
